﻿//////////////////////////////////////////////
// SchedulerWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../../Dll/DllDefines.h"

// nkScripts
#include <NilkinsScripts/Environments/Functions/Function.h>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkTasksWrap
{
	class DLL_ASTRAEUS_EXPORT SchedulerWrapper final
	{
		private :

			// Constructeur, destructeur
			SchedulerWrapper () = delete ;
			~SchedulerWrapper () = delete ;

		public :

			// Env
			static void updateEnvironment (nkScripts::Environment* env) ;

			// Callbacks
			static nkScripts::OutputValue call (const nkScripts::DataStack& stack) ;
	} ;
}