﻿//////////////////////////////////////////////
// ConfigReader.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics
{
	class ConfigHolder ;
}

/// Includes ---------------------------------

// nkGraphics
#include "../Dll/DllDefines.h"

// Standards
#include <string>

/// Class ------------------------------------
	
namespace nkGraphics
{
	class DLL_GRAPHICS_EXPORT ConfigReader final
	{
		public :
		
			// Constructeur, destructeur
			ConfigReader () ;
			~ConfigReader () ;

			// Lecture
			bool readConfigFile (const char* fileNameStr, ConfigHolder& toCopyInto) ;
			bool readConfigSource (const char* sourcesStr, ConfigHolder& toCopyInto) ;

			// Save
			bool saveConfigToFile (const char* fileNameStr, ConfigHolder& toSave) ;
			std::string saveConfigToSource (ConfigHolder& toSave) ;
	} ;
}