﻿//////////////////////////////////////////////
// Dx11ConstantBufferCommand.h
//
//////////////////////////////////////////////

/// Defines / macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics::gles
{
	class GlesBuffer ;
}

/// Includes ---------------------------------

// nkGraphics
#include "../../../../Utilities/DxDefinesWrapper.h"

#include "../GlesCommand.h"

/// Class ------------------------------------
	
namespace nkGraphics::gles
{
	class GlesConstantBufferCommand final : public GlesCommand
	{
		private :
		
			// Attributes
			unsigned int _slot ;
			GlesBuffer* _buffer ;
		
		public :
		
			// Constructor, destructor
			GlesConstantBufferCommand (unsigned int slot, GlesBuffer* buffer) ;
			~GlesConstantBufferCommand () ;

			// Execution
			virtual void execute () override ;
	} ;
}