﻿//////////////////////////////////////////////
// GlesShaderResourceCommand.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics
{
	class ShaderResource ;
}

/// Includes ---------------------------------

// nkGraphics
#include "../../../../Utilities/DxDefinesWrapper.h"

#include "../GlesCommand.h"

/// Class ------------------------------------

namespace nkGraphics::gles
{
	class GlesShaderResourceCommand final : public GlesCommand
	{
		private :
		
			// Attributs
			// Le slot de texture
			SHADER_TYPE _type ;
			unsigned int _resSlot ;
			ShaderResource* _res ;
		
		public :
		
			// Constructor, destructor
			GlesShaderResourceCommand (SHADER_TYPE shaderType, unsigned int texSlot, ShaderResource* texOrUav) ;
			~GlesShaderResourceCommand () ;

			// Exécution
			virtual void execute () override ;
	} ;
}