﻿//////////////////////////////////////////////
// ShaderResource.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkGraphics
#include "Resource.h"

#include "../Dll/DllDefines.h"

#include "../Utilities/DxDefinesWrapper.h"

/// Class ------------------------------------

namespace nkGraphics
{
	class DLL_GRAPHICS_EXPORT ShaderResource : public Resource
	{
		public :
		
			// Constructor, destructor
			ShaderResource () ;
			~ShaderResource () ;

			// Activation
			virtual void activate (SHADER_TYPE shaderStage, unsigned int slot) = 0 ;
	} ;
}